Retail Express API 2.1

productreplenishmentmethods

Searches Product Replenishment Methods by parameters

Searches Product Replenishment Methods by parameters

get
https://api.retailexpress.com.au/v2/productreplenishmentmethods

Query Parameters

idsstring | null

Product replenishment method Ids. (comma separated)
Other properties are skipped, if used.

codestring | null

Product replenishment method code

namestring | null

Product replenishment method name

order_bystring | null

Order by.

Available field name values: id (default), code, name

Available direction values: asc, desc.

Example: name asc, code desc

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Replenishment Methods data

ProductReplenishmentMethod.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productreplenishmentmethods
 
application/json

Gets specific Product Replenishment Method by unique id

Gets specific Product Replenishment Method by unique id

get
https://api.retailexpress.com.au/v2/productreplenishmentmethods/{id}

Path Parameters

idinteger(int32)required

Product Replenishment Method id

Example:10

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Replenishment Method

ProductReplenishmentMethod

* Additional properties are NOT allowed.
idinteger | null(int32)

Product Replenishment Method Id.

codestring | null

Product Replenishment Method code.

namestring | null

Product Replenishment Method name.

get/productreplenishmentmethods/{id}
 
application/json

products

Searches Products by parameters

Searches Products by parameters

get
https://api.retailexpress.com.au/v2/products

Query Parameters

idinteger | null(int32)

Product Id. Other properties are skipped, if used

searchstring | null

Search. If used, other properties are skipped, except outlet_id and disabled

sales_channel_idinteger | null(int32)

Sales Channel Id

include_inventoryboolean

Include inventory

order_bystring | null

Order by.

Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, core_product, disabled,
long_description, custom1, custom2, custom3, supplier_buy_ex, buy_price_ex, direct_costs_ex, markup_target, sell_price_inc, promotional_price_inc,
promotional_price_expiry, rrp_inc, web_price_inc, freight_inc, max_discount_rule_id, lead_time, carton_quantity, replenishment_method_code, length, depth, breadth,
shipping_cubic, weight, prevent_disabling, voucher_product, requires_assembly, loyalty_ratio, brand, season, size, colour, attribute:id, sales_channel:id

Available direction values: asc, desc.

Example: id asc, supplier_sku desc

filter_bystring | null

Filter by.
Available field name values: id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, product_type, supplier, supplier_code, supplier_buy_ex,
size, colour, brand, season, core_product, disabled, attribute:Id, outlet_id, quantity_available, quantity_on_order, package, max_discount_rule_id, replenishment_method_code,
export_to_web, loyalty_ratio, voucher_product, created_on, modified_on, sales_channel:id

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123

skustring | null

Supplier SKU.

>= 0 characters<= 50 characters

manufacturer_skustring | null

Manufacturer SKU.

>= 0 characters<= 50 characters

supplierstring | null

Supplier or Collection of Suppliers (comma separated)
Example: Supplier1,Supplier2,Supplier3

plustring | null

Product Look-Up code (PLU) It can be Product Id, Supplier SKU, Manufacturer SKU, Supplier SKU 2 or any Barcodes for a product. The other search parameters are ignored if used. (except of ‘autocomplete’)

>= 3 characters

autocompleteboolean

Autocomplete. Controls partial vs exact match search. Should return only exactly matching results when its value is false and partially matching results when true.

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

disabledboolean | null

Disabled

product_type_idstring | null

Product Type Id or Collection of Product Type Ids (comma separated)
Example: 1,5,7

short_descriptionstring | null

Allows to search by description parts

outlet_idinteger | null(int32)

Outlet Id

include_zero_stockboolean | null

Filters products based on them being in stock

style_codestring | null

Product Look-Up code (Style Code) It can be Manufacturer SKU for a product. The other search parameters are ignored if used. (except of ‘autocomplete’)

>= 3 characters

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Products data

Product.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/products
 
application/json